Bug 452598 (CVE-2008-2799) - CVE-2008-2799 Firefox javascript arbitrary code execution
Summary: CVE-2008-2799 Firefox javascript arbitrary code execution
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-2799
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 450668 450670 450671 450672 450673 450674 451026 451629 453954 453955
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 23:59 UTC by Josh Bressers
Modified: 2019-09-29 12:25 UTC (History)
3 users (show)

Fixed In Version: 1.1.10-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-23 19:30:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0547 normal SHIPPED_LIVE Critical: seamonkey security update 2008-07-02 12:27:23 UTC
Red Hat Product Errata RHSA-2008:0549 normal SHIPPED_LIVE Critical: firefox security update 2008-07-02 12:54:06 UTC
Red Hat Product Errata RHSA-2008:0569 normal SHIPPED_LIVE Critical: firefox security update 2008-07-02 12:37:08 UTC
Red Hat Product Errata RHSA-2008:0616 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-07-24 00:00:04 UTC

Description Josh Bressers 2008-06-23 23:59:13 UTC
Multiple flaws were found in the processing of malformed JavaScript
content. A web page containing such malicious content could cause Firefox
to crash or, potentially, execute arbitrary code as the user running
Firefox.

Comment 1 Josh Bressers 2008-06-24 00:00:04 UTC
This will be part of MFSA 2008-21

Comment 5 Fedora Update System 2008-07-06 06:13:18 UTC
devhelp-0.16.1-8.fc8, gtkmozembedmm-1.4.2.cvs20060817-21.fc8, yelp-2.20.0-10.fc8, gnome-web-photo-0.3-11.fc8, kazehakase-0.5.4-2.fc8.2, blam-1.8.3-16.fc8, epiphany-2.20.3-5.fc8, liferea-1.4.15-2.fc8, epiphany-extensions-2.20.1-8.fc8, galeon-2.0.4-3.fc8.3, openvrml-0.17.6-3.fc8, chmsee-1.0.0-2.31.fc8, ruby-gnome2-0.17.0-0.2.rc1.fc8, firefox-2.0.0.15-1.fc8, gnome-python2-extras-2.19.1-15.fc8, Miro-1.2.3-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-07-09 02:44:44 UTC
seamonkey-1.1.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-07-09 02:46:52 UTC
seamonkey-1.1.10-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-08-07 23:54:08 UTC
thunderbird-2.0.0.16-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-08-07 23:56:26 UTC
thunderbird-2.0.0.16-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Vincent Danen 2010-12-23 19:30:58 UTC
This was addressed via:

Red Hat Enterprise Linux version 2.1 (seamonkey) RHSA-2008:0547
Red Hat Enterprise Linux version 3 (seamonkey) RHSA-2008:0547
Red Hat Enterprise Linux version 4 (seamonkey) RHSA-2008:0547
Red Hat Enterprise Linux version 4 (firefox) RHSA-2008:0549
Red Hat Enterprise Linux version 5 (firefox) RHSA-2008:0569
Red Hat Enterprise Linux version 4 (thunderbird) RHSA-2008:0616
Red Hat Enterprise Linux Desktop version 5 (thunderbird) RHSA-2008:0616
RHEL Optional Productivity Applications version 5 (thunderbird) RHSA-2008:0616


Note You need to log in before you can comment on or make changes to this bug.